<ng-container *ngIf="{
          clubs: clubs$ | async,
          categories: categories$ | async,
          screenSize: screenSize$ | async } as vm">
  <app-page-form>
    <ng-container ngProjectAs="[page-form-content]">
      <h1>
        {{ 'admin.participant.edit.seo.' + mode.toString().toLocaleLowerCase() + '.title' | translate }}
      </h1>
      <p>
        {{ 'admin.participant.edit.seo.' + mode.toString().toLocaleLowerCase() + '.description' | translate }}
      </p>

      <form [formGroup]="formGroup"
            #form="ngForm" (ngSubmit)="formGroup.valid && save()">
        <mat-form-field>
          <mat-label>
            {{ 'admin.participant.edit.form.category' | translate }}
          </mat-label>
          <app-async-select [loading]="loading.category"
                            [control]="formGroup.controls.category"
                            [updateDisable]="mode !== editModeEnum.UPDATE">
            <mat-select formControlName="category">
              <mat-option *ngFor="let category of vm.categories?.items; trackBy: trackBySlug"
                          [value]="category.slug">
                {{ category.name }}
              </mat-option>
            </mat-select>
          </app-async-select>
          <mat-error *ngIf="formGroup.controls.category.errors?.required">
            {{ 'admin.common.validation.required' | translate }}
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>
            {{ 'admin.participant.edit.form.clubs' | translate }}
          </mat-label>
          <app-async-select [loading]="loading.club"
                            [control]="formGroup.controls.clubs">
            <mat-select formControlName="clubs" multiple [compareWith]="compareBySlug">
              <mat-select-trigger class="team">
                <ng-container *ngFor="let club of formGroup.value.clubs; trackBy: trackBySlug">
                  <figure *ngIf="'common.team.defaultPicture.url' | translate">
                    <img class="lazy-load"
                         [lazyLoad]="club.logoUrl || ('common.team.defaultPicture.url' | translate)"
                         [errorImage]="'common.team.defaultPicture.url' | translate"
                         [alt]="club.name" />
                    <figcaption>
                      {{ club | teamName:vm.screenSize }}
                    </figcaption>
                  </figure>
                </ng-container>
              </mat-select-trigger>
              <mat-option *ngFor="let club of vm.clubs?.items; trackBy: trackBySlug"
                          [value]="club" class="team">
                <figure *ngIf="'common.team.defaultPicture.url' | translate">
                  <img class="lazy-load"
                       [lazyLoad]="club.logoUrl || ('common.team.defaultPicture.url' | translate)"
                       [errorImage]="'common.team.defaultPicture.url' | translate"
                       [alt]="club.name" />
                  <figcaption>
                    {{ club | teamName:vm.screenSize }}
                  </figcaption>
                </figure>
              </mat-option>
            </mat-select>
          </app-async-select>
          <mat-error *ngIf="formGroup.controls.clubs.errors?.required">
            {{ 'admin.common.validation.required' | translate }}
          </mat-error>
          <mat-error *ngIf="formGroup.controls.clubs.errors?.minLength">
            {{ 'admin.common.validation.required' | translate }}
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>
            {{ 'admin.participant.edit.form.name' | translate }}
          </mat-label>
          <input matInput name="name" formControlName="name"/>
          <mat-error *ngIf="formGroup.controls.name.errors?.required">
            {{ 'admin.common.validation.required' | translate }}
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>
            {{ 'admin.participant.edit.form.shortName' | translate }}
          </mat-label>
          <input matInput name="shortName" formControlName="shortName"/>
        </mat-form-field>

        <form [formGroup]="logoFormGroup">
          <mat-form-field>
            <mat-label>
              {{ 'admin.participant.edit.form.logo' | translate }}
            </mat-label>
            <mat-select formControlName="url" panelClass="logo">
              <mat-select-trigger class="logo">
                <figure>
                  <img class="lazy-load"
                       *ngIf="('common.team.defaultPicture.url' | translate) && logoFormGroup.value as logo"
                       [lazyLoad]="logo.url"
                       [errorImage]="'common.team.defaultPicture.url' | translate"/>
                </figure>
              </mat-select-trigger>
              <mat-option *ngFor="let logoUrl of logoUrls$ | async"
                          class="logo" [value]="logoUrl">
                <figure>
                  <img class="lazy-load"
                       *ngIf="'common.team.defaultPicture.url' | translate"
                       [lazyLoad]="logoUrl || ('common.team.defaultPicture.url' | translate)"
                       [errorImage]="'common.team.defaultPicture.url' | translate"/>
                </figure>
              </mat-option>
            </mat-select>
          </mat-form-field>
        </form>

        <mat-form-field>
          <mat-label>
            {{ 'admin.participant.edit.form.teamCount' | translate }}
          </mat-label>
          <input matInput type="number"
                 name="teamCount" formControlName="teamCount"
                 [min]="minTeamCount" [max]="maxTeamCount"/>
          <mat-error *ngIf="formGroup.controls.teamCount.errors?.max">
            {{ 'admin.common.validation.max' | translate:{ max: formGroup.controls.teamCount.errors?.max?.max } }}
          </mat-error>
          <mat-error *ngIf="formGroup.controls.teamCount.errors?.min">
            {{ 'admin.common.validation.min' | translate:{ min: formGroup.controls.teamCount.errors?.min?.min } }}
          </mat-error>
        </mat-form-field>
      </form>
    </ng-container>
    <ng-container ngProjectAs="[page-form-footer]">
      <a mat-stroked-button color="accent"
         [routerLink]="previousRouteCommands?.commands"
         [queryParams]="previousRouteCommands?.queryParams">
        <mat-icon>
          cancel
        </mat-icon>
        {{ 'admin.common.action.cancel' | translate }}
      </a>
      <app-async-button [loading]="loading.save">
        <button mat-flat-button color="primary" (click)="form.onSubmit($event)">
          <mat-icon>
            save
          </mat-icon>
          {{ 'admin.common.action.save' | translate }}
        </button>
      </app-async-button>
    </ng-container>
  </app-page-form>
</ng-container>
